Bug 451700 - Holidays missing in month view for certain "Working Period" settings
Summary: Holidays missing in month view for certain "Working Period" settings
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: monthview (show other bugs)
Version: 5.18.1
Platform: Kubuntu Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-19 20:06 UTC by Michael Büker
Modified: 2022-03-24 18:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Büker 2022-03-19 20:06:50 UTC
SUMMARY

Any selected holidays are _missing_ in the month view for all those times which are defined as "Working Period" in the "Time and Date" settings.

In other words: The month view only shows holidays if they occur on days which are _not_ a "Working Period" per "Time and Date" settings.

STEPS TO REPRODUCE
1. In Settings -> Time and Date -> Holidays, choose some Holidays (tested for de_de).
2. In the month view, holidays will appear as expected.
3. In Settings -> Time and Date -> Working Period, disable "Exclude holidays".
4. In the month view, all holidays on weekdays will be missing.
5. In Settings -> Time and Date -> Working Period, additionally include Saturdays and Sundays as Working Period.
6. In the month view, all holidays will be missing.

OBSERVED RESULT
The month view shows holidays if (and only if) they fall outside of the defined "Working Period", which can be the case for two reasons:
a) either "Exclude holidays" is activated, or
b) the corresponding weekday is disabled in the "Working Period" definition.

EXPECTED RESULT
The month view should always show all selected holidays, regardless of the "Working Period" definition.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Kubuntu 21.10
KDE Plasma Version: 5.22.5
KDE Frameworks Version: 5.86.0
Qt Version: 5.15.2 (built against 5.15.2)
Comment 1 gjditchfield 2022-03-23 02:42:53 UTC
I haven't been able to reproduce this with the newest versions (KOrganizer 5.19.3, Frameworks Version 5.91.0, Qt 5.15.3).  I added the "Germany (German)" holidays, and (for example) Weihnachtsfeiertag and Neujahr appear on the 25th, 26th, and 1st, on different weekdays in 2021, 2020, and 2019.

I take it that all holidays disappear for you, not just some holidays or just German holidays?
Comment 2 Michael Büker 2022-03-23 11:17:51 UTC
Thank you for checking. I don't have the latest version handy for testing, but I've confirmed for the reported version: All of the German end-of-year holidays (including Weihnachtsfeiertag and Neujahr) disappear when I _disable_ "Exclude holidays" and _include_ Saturday and Sunday as "Working Period".

However, there's one thing I neglected to mention in my original report: After changing the corresponding settings, I need to close and re-open korganizer for the bug to manifest itself (i.e. the holidays to disappear).
Comment 3 Michael Büker 2022-03-24 18:07:41 UTC
This is indeed not reproducable in the latest version. Instead, Bug 451862 has appeared in 5.19.3, and is probably closely related.

Closing this.